// Adaptateur d objets (pour NamedObjMgr) pour DVList 
//       R. Ansari , Avril 2007
// (C) UPS-LAL(IN2P3/CNRS)             (C)  CEA-DAPNIA     
 
#ifndef NOMDVLISTADAPTER_H_SEEN
#define NOMDVLISTADAPTER_H_SEEN

#include "nomgadapter.h"
#include "dvlist.h"
#include "sopnamsp.h"


//-------------------------------------------------------------------------
// Class Adaptateur d'objet (Pour NamedObjMgr) DVList  
//-------------------------------------------------------------------------

class NOMAdapter_DVList : public NObjMgrAdapter {
public:
				NOMAdapter_DVList(DVList* dvl = NULL);
  virtual			~NOMAdapter_DVList();

  virtual NObjMgrAdapter*	Clone(AnyDataObj* o);

  virtual string		GetDataObjType();

  virtual AnyDataObj*		CloneDataObj(bool share=false);

  virtual void			SavePPF(POutPersist& s, string const & nom);

// Returns a string with synthetic information about the object
  virtual string                GetInfoString(vector<string>& opts);

  virtual void			Print(ostream& os, int lev=0);

protected:
  DVList* mDvl;
};

#endif
